.\"
.\" "$Id: cupsaddsmb.man,v 1.2 2002/12/17 19:00:00 swdev Exp $"
.\"
.\"   cupsaddsmb man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2003 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636-3111 USA
.\"
.\"       Voice: (301) 373-9603
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH cupsaddsmb 8 "Common UNIX Printing System" "9 Novembre 2001" "Easy Software Products"
.SH NOM
cupsaddsmb \- Export d'imprimante vers Samba pour les clients Windows
.SH SYNOPSIS
.B cupsaddsmb
[ -a ] [ -U
.I utilisateur
] [ -v ]
.br
.B cupsaddsmb
[ -u
.I utilisateur
] [ -v ] [ imprimante1 ... imprimanteN ]
.SH DESCRIPTION
\fIcupsaddsmb\fR permet l'export d'imprimantes vers SAMBA (version 2.2.0
ou suprieure) pour l'utilisation par des clients Windows. Suivant
la configuration de SAMBA, il est possible qu'un mot de passe soit
demand pour l'export. Ce programme requiert les fichiers du driver
d'imprimante Adobe PostScript, comme indiqu plus bas.
.LP
L'option \fI-a\fR exporte toutes les imprimantes connues. Sinon,
seules les imprimantes fournies dans la ligne de commande sont
exportes.
.LP
L'option \fI-U\fR spcifie le nom d'utilisateur de l'administrateur
d'impression. C'est par dfaut votre nom d'utilisateur.
.LP
L'option \fI-v\fR spcifie que des informations dtailles doivent
tre affiches. Ceci peut tre utile pour le dbogage des configurations
de SAMBA.
.SH CONFIGURATION DE SAMBA
\fIcupsaddsmb\fR utilise le nouveau mode d'impression RPC de
SAMBA pour fournir aux clients Windows les drivers d'impression et les
fichiers PPD. Pour utiliser cette fonctionnalit, vous devez configurer
SAMBA (via le fichier smb.conf) pour qu'il utilise l'impression via CUPS, et
fournir un driver  tlcharger. Ceci est fait de la manire suivante\ :
.nf

    [global]
	load printers = yes
	printing = cups
	printcap name = cups

    [printers]
	comment = All Printers
	path = /var/spool/samba
	browseable = no
	public = yes
	guest ok = yes
	writable = no
	printable = yes
	printer admin = root

    [print$]
	comment = Printer Drivers
	path = /etc/samba/drivers
	browseable = yes
	guest ok = no
	read only = yes
	write list = root
.fi
.LP
Cette configuration suppose une installation de SAMBA conforme au
standard FHS. Modifiez les chemins dans [printers] et [print$] suivant
votre installation.
.SH LES DRIVERS ADOBE POSTSCRIPT POUR WINDOWS
\fIcupsaddsmb\fR utilise les drivers Adobe PostScript pour Windows,
disponible en tlchargement sur le site web d'Adobe (http://www.adobe.com).
Une fois les fichiers dcompresss, crez un rpertoire \ drivers\  dans
le rpertoire de donnes de CUPS (habituellement /usr/share/cups) et
copiez les fichiers Adobe en utilisant des noms de fichiers en MAJUSCULES,
comme ci-dessous\ :
.nf
    ADFONTS.MFM
    ADOBEPS4.DRV
    ADOBEPS4.HLP
    ADOBEPS5.DLL
    ADOBEPSU.DLL
    ADOBEPSU.HLP
    DEFPRTR2.PPD
    ICONLIB.DLL
    PSMON.DLL
.fi
.SH VOIR AUSSI
CUPS Software Administrators Manual,
http://localhost:631/documentation.html
.SH COPYRIGHT
Copyright 1993-2003 by Easy Software Products, Tous droits rservs.
.SH TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>
.\"
.\" End of "$Id: cupsaddsmb.man,v 1.2 2002/12/17 19:00:00 swdev Exp $".
.\"

