.\"
.\" "$Id: cupsd.conf.man,v 1.3 2002/12/17 19:00:00 swdev Exp $"
.\"
.\"   cupsd.conf man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2003 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636-3111 USA
.\"
.\"       Voice: (301) 373-9603
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH cupsd.conf 5 "Common UNIX Printing System" "22 Juin 2000" Easy Software Products
.SH NOM
cupsd.conf \- Fichier de configuration du serveur CUPS
.SH DESCRIPTION
Le fichier \fIcupsd.conf\fR configure l'ordonnanceur CUPS, \fIcupsd(8)\fR. Il est
gnralement situ dans le rpertoire \fI/etc/cups\fR.
.LP
Chaque ligne de ce fichier est soit une directive de configuration, une ligne vide, ou
un commentaire. Les lignes de commentaire commencent par le caractre #. Les directives
de configuration sont volontairement similaires  celles utilises par le serveur web
Apache, et sont dcrites ci-dessous.
.SH DIRECTIVES
Les directives suivantes sont interprtes par \fIcupsd\fR. Veuillez vous reporter au 
Manuel d'administration CUPS pour une description plus dtaille.
.TP 5
AccessLog
.br
Dfinit le fichier traant les accs.
.TP 5
Allow
.br
Permet l'accs  CUPS depuis des machines nommes ou des adresses IP.
.TP 5
AuthClass
.br
Dfinit la classe d'identification (User, Group, System)
.TP 5
AuthType
.br
Dfinit le type d'identification (None, Basic, Digest)
.TP 5
BrowseAddress
.br
Dfinit une adresse o broadcaster les informations sur les imprimantes.
.TP 5
BrowseAllow
.br
Accepte les paquets arrivant de machines nommes ou d'adresses IP.
.TP 5
BrowseDeny
.br
Refuse les paquets de demande d'informations sur les imprimantes arrivant
de machines nommes ou d'adresses IP.
.TP 5
BrowseInterval
.br
Dfinit l'intervalle maximum entre les demandes d'information sur les
imprimantes.
.TP 5
BrowseOrder
.br
Dfinit le contrle d'accs aux informations des imprimantes (allow,deny ou deny,allow).
.TP 5
BrowsePoll
.br
Dfinit un serveur rcuprant les informations sur les imprimantes.
.TP 5
BrowsePort
.br
Dfinit le port utilis pour les demandes d'informations sur les imprimantes.
.TP 5
BrowseRelay
.br
Les paquets de demande d'information peuvent tre relays depuis une machine ou
un rseau vers un autre.
.TP 5
BrowseShortNames
.br
Dfinit si les imprimantes distantes utilisent les noms abrgs (\ imprimante\ )
ou non (\ imprimante@serveur\ ). Cette option est ignore si plus d'une imprimante
distante a le mme nom.
.TP 5
BrowseTimeout
.br
Dfinit l'intervalle maximum de temps entre deux mises  jour d'informations
des imprimantes distantes avant que celles-ci ne soient supprimes de la liste
des imprimantes disponibles.
.TP 5
Browsing
.br
Dfinit si la rcupration des informations des imprimantes distantes doit tre active.
.TP 5
DataDir
.br
Dfinit le rpertoire o se trouvent les fichiers de donnes.
.TP 5
DefaultCharset
.br
Dfinit le jeu de caractres par dfaut  utiliser pour les textes.
.TP 5
DefaultLanguage
.br
Dfinit la langue par dfaut  utiliser pour les textes et le site web.
.TP 5
Deny
.br
Interdit l'accs  une machine nomme ou  une adresse IP.
.TP 5
DocumentRoot
.br
Dfinit le rpertoire racine des documents du serveur web interne.
.TP 5
ErrorLog
.br
Dfinit le nom du fichier traant les erreurs.
.TP 5
Group
.br
Dfinit le nom du groupe ou l'ID qui sera utilis lors de l'excution de 
programmes externes.
.TP 5
HostNameLookups
.br
Dfinit s'il faut effectuer ou non des recherches de noms  partir des adresses
des clients.
.TP 5
ImplicitClasses
.br
Dfinit s'il faut crer ou non une classe implicite pour les imprimants distantes
identiques.
.TP 5
KeepAlive
.br
Dfinit s'il faut utiliser HTTP-Keep-Alive.
.TP 5
KeepAliveTimeout
.br
Dfinit le timeout pour HTTP-Keep-Alive.
.TP 5
<Location /path> ... </Location>
.br
Dfinit les contrles d'accs  une destination donne.
.TP 5
LogLevel
.br
Dfinit le niveau de trace (none, warn, error, info ou debug).
.TP 5
MaxClients
.br
Dfinit le nombre maximum de clients simultans.
.TP 5
MaxLogSize
.br
Dfinit la taille maximale des fichiers de trace. Au del de cette taille, les fichiers
sont recycls (on ne garde que les entres les plus rcentes pour supprimer les plus vieilles).
Indiquer 0 pour supprimer la rotation des fichiers.
.TP 5
MaxRequestSize
.br
Dfinit la taille maximale des fichiers et des requtes  imprimer. La taille
est exprime en octets (0 indique qu'il n'y a pas de limite).
.TP 5
Order
.br
Dfinit le contrle d'accs HTTP (allow,deny ou deny,allow).
.TP 5
PageLog
.br
Dfinit le fichier de trace des pages web visites.
.TP 5
Port
.br
Dfinit le numro du port o couter les requtes HTTP.
.TP 5
PreserveJobFiles
.br
Dfinit s'il faut conserver ou non les fichiers de travail aprs impression.
.TP 5
PreserveJobHistory
.br
Dfinit s'il faut conserver ou non l'historique des demandes d'impression
une fois qu'elles sont termines.
.TP 5
Printcap
.br
Dfinit l'emplacement du fichier printcap, contenant la liste des imprimantes,
et qui est mis  jour automatiquement. Ce fichier est indispensable aux
applications externes.
.TP 5
RIPCache
.br
Dfinit la taille maximale de mmoire  utiliser lors de la conversion d'images
ou de fichiers PostScript en fichier bitmap pour une imprimante.
.TP 5
RequestRoot
.br
Dfinit le rpertoire o sont stocks les fichiers de travail et les donnes
des requtes HTTP.
.TP 5
ServerAdmin
.br
Dfinit l'adresse lectronique de l'administrateur du serveur.
.TP 5
ServerBin
.br
Dfinit le rpertoire o les applications frontales, les CGI, les dmons et
les filtres sont stocks.
.TP 5
ServerName
.br
Dfinit le nom complet du serveur.
.TP 5
ServerRoot
.br
Dfinit le rpertoire o les fichiers de configuration du serveur sont stocks.
.TP 5
SystemGroup
.br
Dfinit le groupe  utiliser pour les identifications systme.
.TP 5
TempDir
.br
Dfinit le rpertoire o les fichiers temporaires sont stocks.
.TP 5
Timeout
.br
Dfinit le timeout des requtes HTTP (en secondes).
.TP 5
User
.br
Dfinit le nom ou l'identifiant de l'utilisateur utilis lors du lancement de programmes externes.
.SH VOIR AUSSI
classes.conf(5), cupsd(8), mime.convs(5), mime.types(5), printers.conf(5),
CUPS Software Administrators Manual,
http://localhost:631/documentation.html
.SH COPYRIGHT
Copyright 1993-2003 by Easy Software Products, Tous droits rservs.
.SH TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>
.\"
.\" End of "$Id: cupsd.conf.man,v 1.3 2002/12/17 19:00:00 swdev Exp $".
.\"
